﻿Public Class Form1
    Dim Breakfast(10) As Food
    Dim Lunch(10) As Food
    Dim Dinner(10) As Food
    Dim Snack(10) As Food
    Dim Breakcnt As Integer = 0
    Dim Lunchcnt As Integer = 0
    Dim Dinnercnt As Integer = 0
    Dim Snackcnt As Integer = 0
    Public Enum NutrientType
        Calories
        Carbohydrates
        Fiber
        FatSat
        FatMono
        FatPoly
        Cholesterol
    End Enum
    Dim BreakfastTotals(6) As Double
    Dim LunchTotals(6) As Double
    Dim DinnerTotals(6) As Double
    Dim SnackTotals(6) As Double
    Dim DayTotals(6) As Double

    Private Sub ABBREVBindingNavigatorSaveItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.Validate()
        Me.ABBREVBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.Sr23DataSet)

    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'Sr23DataSet.ABBREV' table. You can move, or remove it, as needed.
        Me.ABBREVTableAdapter.Fill(Me.Sr23DataSet.ABBREV)
        txtDate.Text = Now.Date
    End Sub

    Private Sub ABBREVBindingNavigatorSaveItem_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Me.Validate()
        Me.ABBREVBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.Sr23DataSet)

    End Sub

    Private Sub btnChangeWt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnChangeWt.Click

        'Vh = N * Pct* CM / 100
        ' where N = Nutrient/100g, CM=Grams of common measure, Pct=percent of common measure
        Dim Pct As Double
        Dim GmWt_1 As Double
        Dim Energ_Kcal As Double
        Dim Carbohydrt As Double
        Dim Fiber_TD As Double
        Dim FA_Sat As Double
        Dim FA_Mono As Double
        Dim FA_Poly As Double
        Dim Cholestrl As Double
        ABBREVBindingNavigatorSaveItem.Visible = False
        Try
            Pct = Convert.ToDouble(txtChangeWt.Text)
            GmWt_1 = Convert.ToDouble(GmWt_1TextBox.Text)
            Energ_Kcal = Convert.ToDouble(Energ_KcalTextBox.Text)
            Carbohydrt = Convert.ToDouble(CarbohydrtTextBox.Text)
            Fiber_TD = Convert.ToDouble(Fiber_TDTextBox.Text)
            FA_Sat = Convert.ToDouble(FA_SatTextBox.Text)
            FA_Mono = Convert.ToDouble(FA_MonoTextBox.Text)
            FA_Poly = Convert.ToDouble(FA_PolyTextBox.Text)
            Cholestrl = Convert.ToDouble(CholestrlTextBox.Text)
            Energ_Kcal = Energ_Kcal * Pct * GmWt_1 / 100
            Energ_KcalTextBox.Text = Energ_Kcal
            Carbohydrt = Carbohydrt * Pct * GmWt_1 / 100
            CarbohydrtTextBox.Text = Carbohydrt
            Fiber_TD = Fiber_TD * Pct * GmWt_1 / 100
            Fiber_TDTextBox.Text = Fiber_TD
            FA_Sat = FA_Sat * Pct * GmWt_1 / 100
            FA_SatTextBox.Text = FA_Sat
            FA_Mono = FA_Mono * Pct * GmWt_1 / 100
            FA_MonoTextBox.Text = FA_Mono
            FA_Poly = FA_Poly * Pct * GmWt_1 / 100
            FA_PolyTextBox.Text = FA_Poly
            Cholestrl = Cholestrl * Pct * GmWt_1 / 100
            CholestrlTextBox.Text = Cholestrl
            Call AddButtonsOn()
        Catch ex As Exception
            MessageBox.Show("Enter a fraction of GmWtDesc. If any textboxes are empty, put in zeros")
        End Try

    End Sub
    Private Sub AddButtonsOn()
        btnBreakfast.Visible = True
        btnLunch.Visible = True
        btnDinner.Visible = True
        btnSnack.Visible = True
    End Sub
    Private Sub AddButtonOff()
        btnBreakfast.Visible = False
        btnLunch.Visible = False
        btnDinner.Visible = False
        btnSnack.Visible = False
    End Sub
    Private Sub btnBreakfast_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnBreakfast.Click
        Breakfast(Breakcnt) = New Food(cmbDescription.Text.Replace(",", ":"), Convert.ToDouble(GmWt_1TextBox.Text), GmWt_Desc1TextBox.Text, _
                                       Convert.ToDouble(Energ_KcalTextBox.Text), Convert.ToDouble(CarbohydrtTextBox.Text), _
                                       Convert.ToDouble(Fiber_TDTextBox.Text), Convert.ToDouble(FA_SatTextBox.Text), _
                                       Convert.ToDouble(FA_MonoTextBox.Text), Convert.ToDouble(FA_PolyTextBox.Text), _
                                       Convert.ToDouble(CholestrlTextBox.Text), Convert.ToDouble(txtChangeWt.Text))
        txtBreakfast.AppendText(cmbDescription.Text & vbCrLf)
        Breakcnt += 1
        txtChangeWt.Text = ""
    End Sub

    Private Sub btnLunch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLunch.Click
        Lunch(Lunchcnt) = New Food(cmbDescription.Text.Replace(",", ":"), Convert.ToDouble(GmWt_1TextBox.Text), GmWt_Desc1TextBox.Text, _
                                   Convert.ToDouble(Energ_KcalTextBox.Text), Convert.ToDouble(CarbohydrtTextBox.Text), _
                                   Convert.ToDouble(Fiber_TDTextBox.Text), Convert.ToDouble(FA_SatTextBox.Text), _
                                   Convert.ToDouble(FA_MonoTextBox.Text), Convert.ToDouble(FA_PolyTextBox.Text), _
                                   Convert.ToDouble(CholestrlTextBox.Text), Convert.ToDouble(txtChangeWt.Text))
        txtLunch.AppendText(cmbDescription.Text & vbCrLf)
        Lunchcnt += 1
        txtChangeWt.Text = ""
    End Sub

    Private Sub btnDinner_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnDinner.Click
        Dinner(Dinnercnt) = New Food(cmbDescription.Text.Replace(",", ":"), Convert.ToDouble(GmWt_1TextBox.Text), GmWt_Desc1TextBox.Text, _
                                     Convert.ToDouble(Energ_KcalTextBox.Text), Convert.ToDouble(CarbohydrtTextBox.Text), _
                                     Convert.ToDouble(Fiber_TDTextBox.Text), Convert.ToDouble(FA_SatTextBox.Text), _
                                     Convert.ToDouble(FA_MonoTextBox.Text), Convert.ToDouble(FA_PolyTextBox.Text), _
                                     Convert.ToDouble(CholestrlTextBox.Text), Convert.ToDouble(txtChangeWt.Text))
        txtDinner.AppendText(cmbDescription.Text & vbCrLf)
        Dinnercnt += 1
        txtChangeWt.Text = ""
    End Sub

    Private Sub btnSnack_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSnack.Click
        Snack(Snackcnt) = New Food(cmbDescription.Text.Replace(",", ":"), Convert.ToDouble(GmWt_1TextBox.Text), GmWt_Desc1TextBox.Text, _
                                       Convert.ToDouble(Energ_KcalTextBox.Text), Convert.ToDouble(CarbohydrtTextBox.Text), _
                                       Convert.ToDouble(Fiber_TDTextBox.Text), Convert.ToDouble(FA_SatTextBox.Text), _
                                       Convert.ToDouble(FA_MonoTextBox.Text), Convert.ToDouble(FA_PolyTextBox.Text), _
                                       Convert.ToDouble(CholestrlTextBox.Text), Convert.ToDouble(txtChangeWt.Text))
        txtSnack.AppendText(cmbDescription.Text & vbCrLf)
        Snackcnt += 1
        txtChangeWt.Text = ""
    End Sub

    Private Sub SaveToolStripMenuItem1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SaveToolStripMenuItem1.Click
        SaveFD.InitialDirectory = "C:\Users\Michael\Documents"
        SaveFD.Filter = "Text Files|*.csv"
        SaveFD.ShowDialog()

        Dim strFileName As String
        Dim indx As Integer
        For indx = 0 To 6
            BreakfastTotals(indx) = 0
            LunchTotals(indx) = 0
            DinnerTotals(indx) = 0
            SnackTotals(indx) = 0
        Next

        strFileName = SaveFD.FileName
        Dim objWriter As New System.IO.StreamWriter(strFileName)
        Try
            objWriter.WriteLine("Date is" + txtDate.Text)
            objWriter.WriteLine("Description, GramWeight, Calories, Carbohydrates, Fiber, FatSat, FatMono, FatPoly, Cholesterol")
            objWriter.WriteLine("Breakfast")
            If Breakcnt <> 0 Then
                For indx = 0 To Breakcnt - 1
                    objWriter.WriteLine(Breakfast(indx).GetDescription.ToString + ", " + Breakfast(indx).GetGMWeight.ToString + ", " + _
                        Breakfast(indx).GetKCal.ToString + ", " + Breakfast(indx).GetCarbohyrdates.ToString + ", " + _
                        Breakfast(indx).GetFiber.ToString + ", " + Breakfast(indx).GetFatSat.ToString + ", " + _
                        Breakfast(indx).GetFatMono.ToString + ", " + Breakfast(indx).GetFatPoly.ToString + ", " + _
                        Breakfast(indx).GetCholesterol.ToString)
                    BreakfastTotals(NutrientType.Calories) += Breakfast(indx).GetKCal
                    BreakfastTotals(NutrientType.Carbohydrates) += Breakfast(indx).GetCarbohyrdates
                    BreakfastTotals(NutrientType.Fiber) += Breakfast(indx).GetFiber
                    BreakfastTotals(NutrientType.FatSat) += Breakfast(indx).GetFatSat
                    BreakfastTotals(NutrientType.FatMono) += Breakfast(indx).GetFatMono
                    BreakfastTotals(NutrientType.FatPoly) += Breakfast(indx).GetFatSat
                    BreakfastTotals(NutrientType.Cholesterol) += Breakfast(indx).GetCholesterol
                Next
                objWriter.WriteLine("BreakfastTotals,, " + BreakfastTotals(NutrientType.Calories).ToString + ", " + _
                        BreakfastTotals(NutrientType.Carbohydrates).ToString + ", " + _
                        BreakfastTotals(NutrientType.Fiber).ToString + ", " + _
                        BreakfastTotals(NutrientType.FatSat).ToString + ", " + _
                        BreakfastTotals(NutrientType.FatMono).ToString + ", " + _
                        BreakfastTotals(NutrientType.FatPoly).ToString + ", " + _
                        BreakfastTotals(NutrientType.Cholesterol).ToString)
            End If

            If Lunchcnt <> 0 Then
                For indx = 0 To Lunchcnt - 1
                    objWriter.WriteLine(Lunch(indx).GetDescription.ToString + ", " + Lunch(indx).GetGMWeight.ToString + ", " + _
                        Lunch(indx).GetKCal.ToString + ", " + Lunch(indx).GetCarbohyrdates.ToString + ", " + _
                        Lunch(indx).GetFiber.ToString + ", " + Lunch(indx).GetFatSat.ToString + ", " + _
                        Lunch(indx).GetFatMono.ToString + ", " + Lunch(indx).GetFatPoly.ToString + ", " + _
                        Lunch(indx).GetCholesterol.ToString)
                    LunchTotals(NutrientType.Calories) += Lunch(indx).GetKCal
                    LunchTotals(NutrientType.Carbohydrates) += Lunch(indx).GetCarbohyrdates
                    LunchTotals(NutrientType.Fiber) += Lunch(indx).GetFiber
                    LunchTotals(NutrientType.FatSat) += Lunch(indx).GetFatSat
                    LunchTotals(NutrientType.FatMono) += Lunch(indx).GetFatMono
                    LunchTotals(NutrientType.FatPoly) += Lunch(indx).GetFatSat
                    LunchTotals(NutrientType.Cholesterol) += Lunch(indx).GetCholesterol
                Next
                objWriter.WriteLine("LunchTotals,, " + LunchTotals(NutrientType.Calories).ToString + ", " + _
                        LunchTotals(NutrientType.Carbohydrates).ToString + ", " + _
                        LunchTotals(NutrientType.Fiber).ToString + ", " + _
                        LunchTotals(NutrientType.FatSat).ToString + ", " + _
                        LunchTotals(NutrientType.FatMono).ToString + ", " + _
                        LunchTotals(NutrientType.FatPoly).ToString + ", " + _
                        LunchTotals(NutrientType.Cholesterol).ToString)
            End If

            If Dinnercnt <> 0 Then
                For indx = 0 To Dinnercnt - 1
                    objWriter.WriteLine(Dinner(indx).GetDescription.ToString + ", " + Dinner(indx).GetGMWeight.ToString + ", " + _
                        Dinner(indx).GetKCal.ToString + ", " + Dinner(indx).GetCarbohyrdates.ToString + ", " + _
                        Dinner(indx).GetFiber.ToString + ", " + Dinner(indx).GetFatSat.ToString + ", " + _
                        Dinner(indx).GetFatMono.ToString + ", " + Dinner(indx).GetFatPoly.ToString + ", " + _
                        Dinner(indx).GetCholesterol.ToString)
                    DinnerTotals(NutrientType.Calories) += Dinner(indx).GetKCal
                    DinnerTotals(NutrientType.Carbohydrates) += Dinner(indx).GetCarbohyrdates
                    DinnerTotals(NutrientType.Fiber) += Dinner(indx).GetFiber
                    DinnerTotals(NutrientType.FatSat) += Dinner(indx).GetFatSat
                    DinnerTotals(NutrientType.FatMono) += Dinner(indx).GetFatMono
                    DinnerTotals(NutrientType.FatPoly) += Dinner(indx).GetFatSat
                    DinnerTotals(NutrientType.Cholesterol) += Dinner(indx).GetCholesterol
                Next
                objWriter.WriteLine("DinnerTotals,, " + DinnerTotals(NutrientType.Calories).ToString + ", " + _
                        DinnerTotals(NutrientType.Carbohydrates).ToString + ", " + _
                        DinnerTotals(NutrientType.Fiber).ToString + ", " + _
                        DinnerTotals(NutrientType.FatSat).ToString + ", " + _
                        DinnerTotals(NutrientType.FatMono).ToString + ", " + _
                        DinnerTotals(NutrientType.FatPoly).ToString + ", " + _
                        DinnerTotals(NutrientType.Cholesterol).ToString)
            End If

            If Snackcnt <> 0 Then
                For indx = 0 To Snackcnt - 1
                    objWriter.WriteLine(Snack(indx).GetDescription.ToString + ", " + Snack(indx).GetGMWeight.ToString + ", " + _
                        Snack(indx).GetKCal.ToString + ", " + Snack(indx).GetCarbohyrdates.ToString + ", " + _
                        Snack(indx).GetFiber.ToString + ", " + Snack(indx).GetFatSat.ToString + ", " + _
                        Snack(indx).GetFatMono.ToString + ", " + Snack(indx).GetFatPoly.ToString + ", " + _
                        Snack(indx).GetCholesterol.ToString)
                    SnackTotals(NutrientType.Calories) += Snack(indx).GetKCal
                    SnackTotals(NutrientType.Carbohydrates) += Snack(indx).GetCarbohyrdates
                    SnackTotals(NutrientType.Fiber) += Snack(indx).GetFiber
                    SnackTotals(NutrientType.FatSat) += Snack(indx).GetFatSat
                    SnackTotals(NutrientType.FatMono) += Snack(indx).GetFatMono
                    SnackTotals(NutrientType.FatPoly) += Snack(indx).GetFatSat
                    SnackTotals(NutrientType.Cholesterol) += Snack(indx).GetCholesterol
                Next
                objWriter.WriteLine("SnackTotals,, " + SnackTotals(NutrientType.Calories).ToString + ", " + _
                        SnackTotals(NutrientType.Carbohydrates).ToString + ", " + _
                        SnackTotals(NutrientType.Fiber).ToString + ", " + _
                        SnackTotals(NutrientType.FatSat).ToString + ", " + _
                        SnackTotals(NutrientType.FatMono).ToString + ", " + _
                        SnackTotals(NutrientType.FatPoly).ToString + ", " + _
                        SnackTotals(NutrientType.Cholesterol).ToString)
            End If
            For indx = 0 To 6
                DayTotals(indx) = BreakfastTotals(indx) + LunchTotals(indx) + DinnerTotals(indx) + SnackTotals(indx)
            Next
            objWriter.WriteLine("DayTotals,, " + DayTotals(NutrientType.Calories).ToString + ", " + _
                DayTotals(NutrientType.Carbohydrates).ToString + ", " + _
                DayTotals(NutrientType.Fiber).ToString + ", " + _
                DayTotals(NutrientType.FatSat).ToString + ", " + _
                DayTotals(NutrientType.FatMono).ToString + ", " + _
                DayTotals(NutrientType.FatPoly).ToString + ", " + _
                DayTotals(NutrientType.Cholesterol).ToString)

        Catch ex As Exception

        End Try
        objWriter.Close()

    End Sub

    Private Sub cmbDescription_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmbDescription.SelectedIndexChanged
        Call AddButtonOff()
    End Sub

    Private Sub ABBREVBindingNavigatorSaveItem_Click_2(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ABBREVBindingNavigatorSaveItem.Click
        Me.Validate()
        Me.ABBREVBindingSource.EndEdit()
        Me.TableAdapterManager.UpdateAll(Me.Sr23DataSet)
    End Sub

End Class
